[tool.poetry]
name = "jam-pypi"
version = "0.0.1"
description = "Tesing repo for publish via ci"
authors = ["qsh.27 <qsh.zh27@gmail.com>"]
readme = "README.md"
keywords = ["jam", "pypi", "testing"]
packages = [
    {include = "jam_pypi"},
]

[tool.poetry.dependencies]
python = ">=3.7,<3.10"
numpy = "^1.21.2"
jamexp = { version = "^0.0.10", optional = true }

[tool.poetry.extras]
exp = ["jamexp"]

[tool.poetry.dev-dependencies]
pre-commit = "^2.13.0"
black = "^21.5b1"
isort = "^5.8.0"
Sphinx = "^4.2.0"
Pallets-Sphinx-Themes = "^2.0.1"
sphinx-tabs = "^3.2.0"
m2r2 = "^0.3.1"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
